#include <Types.h>
#include <Errors.h>
#include <Memory.h>
#include <OSUtils.h>
#include <SegLoad.h>
#include <Quickdraw.h>
#include <Files.h>
#include <Menus.h>
#include <Fonts.h>
#include <Resources.h>
#include <GestaltEqu.h>
#include <Traps.h>
#include <Aliases.h>
#include <Packages.h>
#include <Processes.h>
#include <AppleEvents.h>
#include <SysEqu.h>
#include <THINK.h>

#ifdef __STDC__
#if __STDC__
#else
#undef __STDC__
#define __STDC__ 1
#endif
#endif

#include <stddef.h>
#define _H_stddef
#include <stdio.h>
#define _H_stdio
#include <stdlib.h>
#define _H_stdlib
#include <sys/ttydev.h>
#include <sys/stat.h>
#include <termios.h>
#define _H_termios
#include <syslog.h>
#define _H_syslog
#include <math.h>
#define _H_math
#include <disktab.h>
#define _H_disktab
#include <a.out.h>
#include <ar.h>
#define _H_ar
#include <assert.h>
#define _H_assert
#include <bitstring.h>
#define _H_bitstring
#include <ctype.h>
#define _H_ctype
#include <db.h>
#define _H_db
#include <dirent.h>
#define _H_dirent
#include <errno.h>
#define _H_errno
#include <fcntl.h>
#define _H_fcntl
#include <float.h>
#define _H_float
#include <fstab.h>
#define _H_fstab
#include <fts.h>
#define _H_fts
#include <glob.h>
#define _H_glob
#include <grp.h>
#define _H_grp
#include <kvm.h>
#define _H_kvm
#include <limits.h>
#define _H_limits
#include <locale.h>
#define _H_locale
#include <memory.h>
#define _H_memory
#include <ndbm.h>
#define _H_ndbm
#include <netdb.h>
#define _H_netdb
#include <nlist.h>
#define _H_nlist
#include <paths.h>
#define _H_paths
#include <proto.h>
#define _H_proto
#include <pwd.h>
#define _H_pwd
#include <ranlib.h>
#define _H_ranlib
#include <regexp.h>
#define _H_regexp
#include <setjmp.h>
#define _H_setjmp
#include <sgtty.h>
#define _H_sgtty
#include <signal.h>
#define _H_signal
#include <stab.h>
#define _H_stab
#include <string.h>
#define _H_string
#include <strings.h>
#define _H_strings
#include <stropts.h>
#define _H_stropts
#include <struct.h>
#define _H_struct
#include <sysexits.h>
#define _H_sysexits
#include <time.h>
#define _H_time
#include <ttyent.h>
#define _H_ttyent
#include <tzfile.h>
#define _H_tzfile
#include <unistd.h>
#define _H_unistd
#include <utime.h>
#define _H_utime
#include <utmp.h>
#define _H_utmp
#include <vis.h>
#define _H_vis
#include <stdarg.h>
#define _H_stdarg
#if 0
#include <resolv.h>
#include <sys/kernel.h>
#include <sys/msgbuf.h>
#include <sys/disklabel.h>
#include <sys/systm.h>
#include <sys/mbuf.h>
#include <sys/times.h>
#include <machine/stdarg.h>
#include <varargs.h>
#define _H_varags
#include <machine/pcb.h>
#include <sys/ttycom.h>
#include <sys/acct.h>
#include <sys/buf.h>
#include <sys/callout.h>
#include <sys/cdefs.h>
#include <sys/conf.h>
#include <sys/dir.h>
#include <sys/dkbad.h>
#include <sys/dkstat.h>
#include <sys/dmap.h>
#include <sys/domain.h>
#include <sys/errno.h>
#include <sys/exec.h>
#include <sys/fcntl.h>
#include <sys/fifo.h>
#include <sys/file.h>
#include <sys/filedesc.h>
#include <sys/gprof.h>
#include <sys/ioctl.h>
#include <sys/ioctl_compat.h>
#include <sys/ipc.h>
#include <sys/malloc.h>
#include <sys/map.h>
#include <sys/mapmem.h>
#include <sys/mman.h>
#include <sys/mount.h>
#include <sys/mtio.h>
#include <sys/param.h>
#include <sys/protosw.h>
#include <sys/ptrace.h>
#include <sys/reboot.h>
#include <sys/seg.h>
#include <sys/shm.h>
#include <sys/signal.h>
#include <sys/signalvar.h>
#include <sys/socket.h>
#include <sys/socketvar.h>
#include <sys/specdev.h>
#include <sys/types.h>
#include <sys/syscall.h>
#include <sys/syslimits.h>
#include <sys/syslog.h>
#include <sys/tablet.h>
#include <sys/termios.h>
#include <sys/time.h>
#include <sys/timeb.h>
#include <sys/tprintf.h>
#include <sys/trace.h>
#include <sys/tty.h>
#include <sys/ttychars.h>
#include <sys/ttydefaults.h>
#include <sys/ttydev.h>
#include <sys/ucred.h>
#include <sys/uio.h>
#include <sys/un.h>
#include <sys/unistd.h>
#include <sys/unpcb.h>
#include <sys/user.h>
#include <sys/vadvise.h>
#include <sys/vcmd.h>
#include <sys/vlimit.h>
#include <sys/vmmeter.h>
#include <sys/vnode.h>
#include <sys/vsio.h>
#include <sys/vtimes.h>
#include <sys/wait.h>
#include <machine/ansi.h>
#include <machine/endian.h>
#include <machine/limits.h>
#include <machine/proc.h>
#include <machine/trap.h>
#include <machine/types.h>
#include <vm/faultcode.h>
#include <vm/vm.h>
#include <sys/clist.h>
#include <sys/kinfo.h>
#include <sys/kinfo_proc.h>
#include <sys/ktrace.h>
#include <sys/namei.h>
#include <sys/proc.h>
#include <sys/resource.h>
#include <sys/resourcevar.h>
#endif
