/******************************************************************************
 CARDirector.h

		
	SUPERCLASS = CDLOGDirector
	
	Copyright  1991 Symantec Corporation. All rights reserved.
	
	TCL 1.1.3 Changes
	[
		- use pragma once
		- changed forward declarations of CStringArray, CStringTable, and CDialogText
	]
 ******************************************************************************/

#pragma once

#include <CEditText.h>
#include <CDLOGDirector.h>

CLASS CARArray;
CLASS CARTable;
CLASS CDialogText;

class CARDirector : public CDLOGDirector
{

public:

	CARArray		*itsStrings;
	CARTable		*itsStringTable;
	CEditText			*itsEditItem;
	
	void IARDirector( short DLOGid, CDirectorOwner *aSupervisor);	
	void NewDocument( Handle itsData, CDirectorOwner *aSupervisor, Str255 name);
	
	virtual void Dispose( void);
	
	Handle	itsData;
};