#include "CARTable.h"
#include "CARArray.h"

void CARTable::IARTable( CView *anEnclosure, CBureaucrat *aSupervisor,
						short aWidth, short aHeight,
						short aHEncl, short aVEncl,
						SizingOption aHSizing, SizingOption aVSizing)
{
	CArrayPane::IArrayPane( anEnclosure, aSupervisor, aWidth, aHeight,
				aHEncl, aVEncl, aHSizing, aVSizing);
}	/* CARTable::IARTable */

void CARTable::GetCellText( Cell aCell, short availableWidth, StringPtr itsText)
  {
  ASSERT( member( itsArray, CARArray));

  if (itsArray)
    {
	struct ar_hdr member_header;
	char tmpbuf[1+sizeof(member_header.ar_name)+sizeof(member_header.ar_size)];
	short siz = sizeof(tmpbuf);	
	if (siz >= availableWidth) siz = availableWidth-1;
	itsArray->GetItem( &member_header, aCell.v+1);
	*tmpbuf = siz;
	BlockMove(member_header.ar_name, tmpbuf+1, sizeof(member_header.ar_name));
	BlockMove(member_header.ar_size, tmpbuf+sizeof(member_header.ar_name)+1, sizeof(member_header.ar_size));
	BlockMove(tmpbuf, itsText, siz+1);
	}

}	/* CARTable::GetCellText */

