/******************************************************************************
 CDRVRDirector.h

		
	SUPERCLASS = CDLOGDirector
	
	Copyright  1991 Symantec Corporation. All rights reserved.
	
	TCL 1.1.3 Changes
	[
		- use pragma once
		- changed forward declarations of CStringArray, CStringTable, and CDialogText
	]
 ******************************************************************************/

#pragma once

#include <CEditText.h>
#include <CDLOGDirector.h>

CLASS CDRVRArray;
CLASS CDRVRTable;
CLASS CDialogText;

class CDRVRDirector : public CDLOGDirector
{

public:

	CDRVRArray		*itsStrings;
	CDRVRTable		*itsStringTable;
	CEditText			*itsEditItem;
	
	void IDRVRDirector( short DLOGid, CDirectorOwner *aSupervisor);	
	void NewDocument( Handle itsData, CDirectorOwner *aSupervisor, Str255 name);
	
	virtual void Dispose( void);
	
	Handle	itsData;
};