/******************************************************************************
 CPathTable.h

		Interface for PathTable class.
		
	SUPERCLASS = CArrayPane
	
	Copyright  1991 Symantec Corporation. All rights reserved.
	
	TCL 1.1.3 Changes
	[
		- use #pragma once
	]
 ******************************************************************************/

#pragma once

#include <CArrayPane.h>

class CPathTable : public CArrayPane
{
public:
	void IPathTable( CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing);
	
	virtual void GetCellText( Cell aCell, short availableWidth, StringPtr itsText);

};