/****
 * GNUEditDoc.h
 *
 *	Document class for a tiny editor.
 *
 ****/

#define	_H_GNUEditDoc			/* Include this file only once */
#include <CDocument.h>
#include <CApplication.h>  
#include <CTask.h>

#define MENUfilter 13
#define MENUconfig 14
#define cmdCPP 10000
#define cmdCC1 10001
#define cmdAS  10002
#define cmdCC1MPW 10011

struct GNUEditDoc : CDocument {

									/** Construction/Destruction **/
                                        
    void        IGNUEditDoc(CApplication *aSupervisor, Boolean printable);

	void		NewFile(void);
	void		NewFilefromHandle(Handle theData);
	void		OpenFile(SFReply *macSFReply);
	
									/** Filing **/
	Boolean		DoSave(void);
	Boolean		DoSaveAs(SFReply *macSFReply);
	void		DoCommand(long theCommand);
	void		Notify(CTask		*theTask);
	
private:
	Boolean		non_static;

};