/* Generated automatically by the program `genoutput'
from the machine description file `md'.  */

#include "config.h"
#include "rtl.h"
#include "regs.h"
#include "hard-reg-set.h"
#include "real.h"
#include "conditions.h"
#include "insn-flags.h"
#include "insn-config.h"
#include "recog.h"

#ifndef __STDC__
#define const
#endif

#include "output.h"
#include "aux-output.c"

#ifndef INSN_MACHINE_INFO
#define INSN_MACHINE_INFO struct dummy1 {int i;}
#endif


static char *
output_0 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (FP_REG_P (operands[1]))
    return "fmove%.d %1,%0";
  return output_move_double (operands);
}
}

static char *
output_1 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  return output_move_double (operands);
}
}

static char *
output_2 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (TARGET_68020 || ! ADDRESS_REG_P (operands[0]))
    return "tst%.l %0";
  /* If you think that the 68020 does not support tstl a0,
     reread page B-167 of the 68020 manual more carefully.  */
  /* On an address reg, cmpw may replace cmpl.  */
  return "cmp%.w #0,%0";
}
}

static char *
output_3 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (TARGET_68020 || ! ADDRESS_REG_P (operands[0]))
    return "tst%.w %0";
  return "cmp%.w #0,%0";
}
}

static char *
output_6 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  cc_status.flags = CC_IN_68881;
  if (FP_REG_P (operands[0]))
    return "ftest%.x %0";
  return "ftest%.s %0";
}
}

static char *
output_7 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_tst (operands, 0x1008, "FCMPS");
}

static char *
output_9 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  cc_status.flags = CC_IN_68881;
  if (FP_REG_P (operands[0]))
    return "ftest%.x %0";
  return "ftest%.d %0";
}
}

static char *
output_10 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_tst (operands, 0x0808, "FCMPD");
}

static char *
output_12 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  cc_status.flags = CC_IN_68881;
  return "ftest%.x %0";
}
}

static char *
output_13 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_tst (operands, 0x0008, "FCMPX");
}

static char *
output_14 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[0]) == MEM && GET_CODE (operands[1]) == MEM)
    return "cmpm%.l %1,%0";
  if (REG_P (operands[1])
      || (!REG_P (operands[0]) && GET_CODE (operands[0]) != MEM))
    { cc_status.flags |= CC_REVERSED;
      return "cmp%.l %d0,%d1"; 
    }
  return "cmp%.l %d1,%d0";
}
}

static char *
output_15 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[0]) == MEM && GET_CODE (operands[1]) == MEM)
    return "cmpm%.w %1,%0";
  if ((REG_P (operands[1]) && !ADDRESS_REG_P (operands[1]))
      || (!REG_P (operands[0]) && GET_CODE (operands[0]) != MEM))
    { cc_status.flags |= CC_REVERSED;
      return "cmp%.w %d0,%d1"; 
    }
  return "cmp%.w %d1,%d0";
}
}

static char *
output_16 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[0]) == MEM && GET_CODE (operands[1]) == MEM)
    return "cmpm%.b %1,%0";
  if (REG_P (operands[1])
      || (!REG_P (operands[0]) && GET_CODE (operands[0]) != MEM))
    { cc_status.flags |= CC_REVERSED;
      return "cmp%.b %d0,%d1";
    }
  return "cmp%.b %d1,%d0";
}
}

static char *
output_18 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  cc_status.flags = CC_IN_68881;
  if (FP_REG_P (operands[0]))
    {
      if (FP_REG_P (operands[1]))
	return "fcmp.x %1,%0";
      else
        return "fcmp%.s%1,%0";
    }
  cc_status.flags |= CC_REVERSED;
  return "fcmp%.s%0,%1";
}
}

static char *
output_19 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_cmp (operands, 0x1008, "FCMPS");
}

static char *
output_21 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  cc_status.flags = CC_IN_68881;
  if (FP_REG_P (operands[0]))
    {
      if (FP_REG_P (operands[1]))
	return "fcmp.x %1,%0";
      else
        return "fcmp.d %1,%0";
    }
  cc_status.flags |= CC_REVERSED;
  return "fcmp.d %0,%1";
}
}

static char *
output_22 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_cmp (operands, 0x0808, "FCMPD");
}

static char *
output_24 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  cc_status.flags = CC_IN_68881; 
  if (REG_P (operands[0]))
    return "fcmp.x %1,%0";
  cc_status.flags |= CC_REVERSED;
  return "fcmp.x %0,%1";
}
}

static char *
output_25 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_cmp(operands, 0x0008, "FCMPX");
}

static char *
output_26 (operands, insn)
     rtx *operands;
     rtx insn;
{
 { return output_btst (operands, operands[1], operands[0], insn, 7); }
}

static char *
output_27 (operands, insn)
     rtx *operands;
     rtx insn;
{
 { return output_btst (operands, operands[1], operands[0], insn, 31); }
}

static char *
output_28 (operands, insn)
     rtx *operands;
     rtx insn;
{
 { return output_btst (operands, operands[1], operands[0], insn, 7); }
}

static char *
output_29 (operands, insn)
     rtx *operands;
     rtx insn;
{
 { return output_btst (operands, operands[1], operands[0], insn, 31); }
}

static char *
output_30 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  operands[1] = gen_rtx (CONST_INT, VOIDmode, 7 - INTVAL (operands[1]));
  return output_btst (operands, operands[1], operands[0], insn, 7);
}
}

static char *
output_31 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[0]) == MEM)
    {
      operands[0] = adj_offsettable_operand (operands[0],
					    INTVAL (operands[1]) / 8);
      operands[1] = gen_rtx (CONST_INT, VOIDmode, 
			     7 - INTVAL (operands[1]) % 8);
      return output_btst (operands, operands[1], operands[0], insn, 7);
    }
  operands[1] = gen_rtx (CONST_INT, VOIDmode,
			 15 - INTVAL (operands[1]));
  return output_btst (operands, operands[1], operands[0], insn, 15);
}
}

static char *
output_32 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[0]) == MEM)
    {
      operands[0] = adj_offsettable_operand (operands[0],
					    INTVAL (operands[1]) / 8);
      operands[1] = gen_rtx (CONST_INT, VOIDmode, 
			     7 - INTVAL (operands[1]) % 8);
      return output_btst (operands, operands[1], operands[0], insn, 7);
    }
  operands[1] = gen_rtx (CONST_INT, VOIDmode,
			 31 - INTVAL (operands[1]));
  return output_btst (operands, operands[1], operands[0], insn, 31);
}
}

static char *
output_33 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  cc_status.flags = CC_Z_IN_NOT_N | CC_NOT_NEGATIVE;
  return "tst%.b %0";
}
}

static char *
output_34 (operands, insn)
     rtx *operands;
     rtx insn;
{

{ register int log = exact_log2 (INTVAL (operands[1]));
  operands[1] = gen_rtx (CONST_INT, VOIDmode, log);
  return output_btst (operands, operands[1], operands[0], insn, 7);
}
}

static char *
output_35 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (operands[1] == const0_rtx)
    return "clr%.l %0";
  return "pea %a1";
}
}

static char *
output_36 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (ADDRESS_REG_P (operands[0]))
    return "sub%.l %0,%0";
  return "clr%.l %0";
}
}

static char *
output_37 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[1]) == CONST_INT)
    {
      if (operands[1] == const0_rtx
	  && (DATA_REG_P (operands[0])
	      || GET_CODE (operands[0]) == MEM))
	return "clr%.l %0";
      else if (DATA_REG_P (operands[0])
	       && INTVAL (operands[1]) < 128
	       && INTVAL (operands[1]) >= -128)
        {
          return "moveq%.l %1,%0";
	}
      else if (ADDRESS_REG_P (operands[0])
	       && INTVAL (operands[1]) < 0x8000
	       && INTVAL (operands[1]) >= -0x8000)
	return "move%.w %1,%0";
      else if (push_operand (operands[0], SImode)
	       && INTVAL (operands[1]) < 0x8000
	       && INTVAL (operands[1]) >= -0x8000)
        return "pea %a1";
    }
  else if ((GET_CODE (operands[1]) == SYMBOL_REF
	    || GET_CODE (operands[1]) == CONST)
	   && push_operand (operands[0], SImode))
    return "pea %a1";
  else if ((GET_CODE (operands[1]) == SYMBOL_REF
	    || GET_CODE (operands[1]) == CONST)) {
           if (ADDRESS_REG_P (operands[0])) {
               return "lea %a1,%0";
           } else {
               return "pea %a1\n\tmove%.l %+,%0";
           }
  }
  return "move%.l %1,%0";
}
}

static char *
output_38 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[1]) == CONST_INT)
    {
      if (operands[1] == const0_rtx
	  && (DATA_REG_P (operands[0])
	      || GET_CODE (operands[0]) == MEM))
	return "clr%.w %0";
      else if (DATA_REG_P (operands[0])
	       && INTVAL (operands[1]) < 128
	       && INTVAL (operands[1]) >= -128)
        {
          return "moveq%.l %1,%0";
	}
      else if (INTVAL (operands[1]) < 0x8000
	       && INTVAL (operands[1]) >= -0x8000)
	return "move%.w %1,%0";
    }
  else if (CONSTANT_P (operands[1]))
    return "move%.l %1,%0";
  return "move%.w %1,%0";
}
}

static char *
output_39 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[1]) == CONST_INT)
    {
      if (operands[1] == const0_rtx
	  && (DATA_REG_P (operands[0])
	      || GET_CODE (operands[0]) == MEM))
	return "clr%.w %0";
    }
  return "move%.w %1,%0";
}
}

static char *
output_40 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (operands[1] == const0_rtx)
    return "clr%.b %0";
  if (GET_CODE (operands[1]) == CONST_INT
      && INTVAL (operands[1]) == -1)
    return "st %0";
  if (GET_CODE (operands[1]) != CONST_INT && CONSTANT_P (operands[1]))
    return "move%.l %1,%0";
  if (ADDRESS_REG_P (operands[0]) || ADDRESS_REG_P (operands[1]))
    return "move%.w %1,%0";
  return "move%.b %1,%0";
}
}

static char *
output_41 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (operands[1] == const0_rtx)
    return "clr%.b %0";
  return "move%.b %1,%0";
}
}

static char *
output_42 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (FP_REG_P (operands[0]))
    {
      if (FP_REG_P (operands[1]))
	return "fmove.x %1,%0";
      else if (ADDRESS_REG_P (operands[1]))
	return "move%.l %1,%-\n\tfmove%.s%+,%0";
      else if (GET_CODE (operands[1]) == CONST_DOUBLE)
	return output_move_const_single (operands);
      return "fmove%.s%1,%0";
    }
  if (FP_REG_P (operands[1]))
    {
      if (ADDRESS_REG_P (operands[0]))
	return "fmove%.s%1,%-\n\tmove%.l %+,%0";
      return "fmove%.s%1,%0";
    }
  return "move%.l %f1,%0";
}
}

static char *
output_43 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (FP_REG_P (operands[0]))
    {
      if (FP_REG_P (operands[1]))
	return "fmove.x %1,%0";
      if (REG_P (operands[1]))
	{
	  rtx xoperands[2];
	  xoperands[1] = gen_rtx (REG, SImode, REGNO (operands[1]) + 1);
	  output_asm_insn ("move%.l %1,%-", xoperands);
	  output_asm_insn ("move%.l %1,%-", operands);
	  return "fmove.d %+,%0";
	}
      if (GET_CODE (operands[1]) == CONST_DOUBLE)
	return output_move_const_double (operands);
      return "fmove.d %1,%0";
    }
  else if (FP_REG_P (operands[1]))
    {
      if (REG_P (operands[0]))
	{
	  output_asm_insn ("fmove.d %1,%-\n\tmove%.l %+,%0", operands);
	  operands[0] = gen_rtx (REG, SImode, REGNO (operands[0]) + 1);
	  return "move%.l %+,%0";
	}
      else
        return "fmove.d %1,%0";
    }
  return output_move_double (operands);
}

}

static char *
output_44 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (FP_REG_P (operands[0]))
    {
      if (FP_REG_P (operands[1]))
	return "fmove.x %1,%0";
      if (REG_P (operands[1]))
	{
	  rtx xoperands[2], xxoperands[2];
	  xoperands[1] = gen_rtx (REG, SImode, REGNO (operands[1]) + 1);
	  xxoperands[1] = gen_rtx (REG, SImode, REGNO (operands[1]) + 2);
	  output_asm_insn ("move%.l %1,%-", xxoperands);
	  output_asm_insn ("move%.l %1,%-", xoperands);
	  output_asm_insn ("move%.l %1,%-", operands);
	  return "fmove.x %+,%0";
	}
      if (GET_CODE (operands[1]) == CONST_DOUBLE)
	return output_move_const_long_double (operands);
      return "fmove.x %1,%0";
    }
  else if (FP_REG_P (operands[1]))
    {
      if (REG_P (operands[0]))
	{
	  output_asm_insn ("fmove.x %1,%-\n\tmove%.l %+,%0", operands);
	  operands[0] = gen_rtx (REG, SImode, REGNO (operands[0]) + 1);
	  output_asm_insn ("move%.l %+,%0", operands);
	  operands[0] = gen_rtx (REG, SImode, REGNO (operands[0]) + 1);
	  return "move%.l %+,%0";
	}
      else
        return "fmove.x %1,%0";
    }
  return output_move_extended (operands);
}

}

static char *
output_45 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (FP_REG_P (operands[0]))
    {
      if (FP_REG_P (operands[1]))
	return "fmove.x %1,%0";
      if (REG_P (operands[1]))
	{
	  rtx xoperands[2];
	  xoperands[1] = gen_rtx (REG, SImode, REGNO (operands[1]) + 1);
	  output_asm_insn ("move%.l %1,%-", xoperands);
	  output_asm_insn ("move%.l %1,%-", operands);
	  return "fmove.d %+,%0";
	}
      if (GET_CODE (operands[1]) == CONST_DOUBLE)
	return output_move_const_double (operands);
      return "fmove.d %1,%0";
    }
  else if (FP_REG_P (operands[1]))
    {
      if (REG_P (operands[0]))
	{
	  output_asm_insn ("fmove.d %1,%-\n\tmove%.l %+,%0", operands);
	  operands[0] = gen_rtx (REG, SImode, REGNO (operands[0]) + 1);
	  return "move%.l %+,%0";
	}
      else
        return "fmove.d %1,%0";
    }
  return output_move_double (operands);
}

}

static char *
output_47 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[0]) == REG)
    return "move%.l %1,%0";
  if (GET_CODE (operands[1]) == MEM)
    operands[1] = adj_offsettable_operand (operands[1], 3);
  return "move%.b %1,%0";
}
}

static char *
output_48 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[0]) == REG)
    return "move%.l %1,%0";
  if (GET_CODE (operands[1]) == MEM)
    operands[1] = adj_offsettable_operand (operands[1], 1);
  return "move%.b %1,%0";
}
}

static char *
output_49 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[0]) == REG)
    return "move%.l %1,%0";
  if (GET_CODE (operands[1]) == MEM)
    operands[1] = adj_offsettable_operand (operands[1], 2);
  return "move%.w %1,%0";
}
}

static char *
output_53 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (DATA_REG_P (operands[0]))
    {
      if (GET_CODE (operands[1]) == REG
	  && REGNO (operands[0]) == REGNO (operands[1]))
	return "and%.l #$FFFF,%0";
      if (reg_mentioned_p (operands[0], operands[1]))
        return "move%.w %1,%0\n\tand%.l #$FFFF,%0";
      return "clr%.l %0\n\tmove%.w %1,%0";
    }
  else if (GET_CODE (operands[0]) == MEM
	   && GET_CODE (XEXP (operands[0], 0)) == PRE_DEC)
    return "move%.w %1,%0\n\tclr%.w %0";
  else if (GET_CODE (operands[0]) == MEM
	   && GET_CODE (XEXP (operands[0], 0)) == POST_INC)
    return "clr%.w %0\n\tmove%.w %1,%0";
  else
    {
      output_asm_insn ("clr%.w %0", operands);
      operands[0] = adj_offsettable_operand (operands[0], 2);
      return "move%.w %1,%0";
    }
}
}

static char *
output_54 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (DATA_REG_P (operands[0]))
    {
      if (GET_CODE (operands[1]) == REG
	  && REGNO (operands[0]) == REGNO (operands[1]))
	return "and%.w #$FF,%0";
      if (reg_mentioned_p (operands[0], operands[1]))
        return "move%.b %1,%0\n\tand%.w #$FF,%0";
      return "clr%.w %0\n\tmove%.b %1,%0";
    }
  else if (GET_CODE (operands[0]) == MEM
	   && GET_CODE (XEXP (operands[0], 0)) == PRE_DEC)
    {
      if (REGNO (XEXP (XEXP (operands[0], 0), 0))
	  == STACK_POINTER_REGNUM)
	return "clr%.w %-\n\tmove%.b %1,%0";
      else
	return "move%.b %1,%0\n\tclr%.b %0";
    }
  else if (GET_CODE (operands[0]) == MEM
	   && GET_CODE (XEXP (operands[0], 0)) == POST_INC)
    return "clr%.b %0\n\tmove%.b %1,%0";
  else
    {
      output_asm_insn ("clr%.b %0", operands);
      operands[0] = adj_offsettable_operand (operands[0], 1);
      return "move%.b %1,%0";
    }
}
}

static char *
output_55 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (DATA_REG_P (operands[0]))
    {
      if (GET_CODE (operands[1]) == REG
	  && REGNO (operands[0]) == REGNO (operands[1]))
	return "and%.l #$FF,%0";
      if (reg_mentioned_p (operands[0], operands[1]))
        return "move%.b %1,%0\n\tand%.l #$FF,%0";
      return "clr%.l %0\n\tmove%.b %1,%0";
    }
  else if (GET_CODE (operands[0]) == MEM
	   && GET_CODE (XEXP (operands[0], 0)) == PRE_DEC)
    {
      operands[0] = XEXP (XEXP (operands[0], 0), 0);
      return "clr%.l -(%0)\n\tmove%.b %1,(3,%0)";
    }
  else if (GET_CODE (operands[0]) == MEM
	   && GET_CODE (XEXP (operands[0], 0)) == POST_INC)
    {
      operands[0] = XEXP (XEXP (operands[0], 0), 0);
      return "clr%.l (%0)+\n\tmove%.b %1,(-1,%0)";
    }
  else
    {
      output_asm_insn ("clr%.l %0", operands);
      operands[0] = adj_offsettable_operand (operands[0], 3);
      return "move%.b %1,%0";
    }
}
}

static char *
output_56 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (ADDRESS_REG_P (operands[0]))
    return "move%.w %1,%0";
  return "ext%.l %0";
}
}

static char *
output_60 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (FP_REG_P (operands[0]) && FP_REG_P (operands[1]))
    {
      if (REGNO (operands[0]) == REGNO (operands[1]))
	{
	  /* Extending float to double in an fp-reg is a no-op.
	     NOTICE_UPDATE_CC has already assumed that the
	     cc will be set.  So cancel what it did.  */
	  cc_status = cc_prev_status;
	  return "";
	}
      return "fmove.x %1,%0";
    }
  if (FP_REG_P (operands[0]))
    return "fmove%.s%1,%0";
  if (DATA_REG_P (operands[0]) && FP_REG_P (operands[1]))
    {
      output_asm_insn ("fmove.d %1,%-\n\tmove%.l %+,%0", operands);
      /* seems unreliable - what if opnd 0 was d7? */
      operands[0] = gen_rtx (REG, SImode, REGNO (operands[0]) + 1);
      return "move%.l %+,%0";
    }
  if (FP_REG_P (operands[0]) || FP_REG_P (operands[1]))
    return "fmove.d %1,%0";
}
}

static char *
output_61 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_convert(operands);
}

static char *
output_63 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (FP_REG_P (operands[0]) && FP_REG_P (operands[1]))
    {
      if (REGNO (operands[0]) == REGNO (operands[1]))
	{
	  /* Extending float to long double in an fp-reg is a no-op.
	     NOTICE_UPDATE_CC has already assumed that the
	     cc will be set.  So cancel what it did.  */
	  cc_status = cc_prev_status;
	  return "";
	}
      return "fmove.x %1,%0";
    }
  if (FP_REG_P (operands[0]))
    return "fmove%.s%1,%0";
  return "fmove.x %1,%0";
}
}

static char *
output_64 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_convert(operands);
}

static char *
output_66 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (FP_REG_P (operands[0]) && FP_REG_P (operands[1]))
    {
      if (REGNO (operands[0]) == REGNO (operands[1]))
	{
	  /* Extending double to long double in an fp-reg is a no-op.
	     NOTICE_UPDATE_CC has already assumed that the
	     cc will be set.  So cancel what it did.  */
	  cc_status = cc_prev_status;
	  return "";
	}
      return "fmove.x %1,%0";
    }
  if (FP_REG_P (operands[0]))
    return "fmove.d %1,%0";
  return "fmove.x %1,%0";
}
}

static char *
output_67 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_convert (operands);
}

static char *
output_70 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_convert (operands);
}

static char *
output_73 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_convert (operands);
}

static char *
output_75 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (DATA_REG_P (operands[0]))
    {
      output_asm_insn ("fmove.d %1,%-\n\tmove%.l %+,%0", operands);
      operands[0] = gen_rtx (REG, SImode, REGNO (operands[0]) + 1);
      return "move%.l %+,%0";
    }
  return "fmove.d %1,%0";
}
}

static char *
output_76 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_convert (operands);
}

static char *
output_79 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_convert (operands);
}

static char *
output_82 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_convert (operands);
}

static char *
output_85 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_convert (operands);
}

static char *
output_93 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_2 (operands, 0x0016, "FTINTX");
}

static char *
output_94 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (FP_REG_P (operands[1]))
    return "fintrz.x %1,%0";
  return "fintrz%.s%1,%0";
}
}

static char *
output_96 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_2 (operands, 0x0016, "FTINTX");
}

static char *
output_97 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (FP_REG_P (operands[1]))
    return "fintrz.x %1,%0";
  return "fintrz.d %1,%0";
}
}

static char *
output_99 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_2 (operands, 0x0016, "FTINTX");
}

static char *
output_110 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_lib_convert(operands, "_XTOI");
}

static char *
output_113 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_lib_convert(operands, "_XTOU");
}

static char *
output_114 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_lib_convert(operands, "_X96TOU");
}

static char *
output_115 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (! operands_match_p (operands[0], operands[1]))
    {
      if (!ADDRESS_REG_P (operands[1]))
	{
	  rtx tmp = operands[1];

	  operands[1] = operands[2];
	  operands[2] = tmp;
	}

      /* These insns can result from reloads to access
	 stack slots over 64k from the frame pointer.  */
      if (GET_CODE (operands[2]) == CONST_INT
	  && INTVAL (operands[2]) + 0x8000 >= (unsigned) 0x10000)
        return "move%.l %2,%0\n\tadd%.l %1,%0";
      if (GET_CODE (operands[2]) == REG)
	return TARGET_GAS?"lea %1@(%2.l),%0":"lea (%1,%2.l),%0";
      else
	return TARGET_GAS?"lea %1@(%c2),%0":"lea (%c2,%1),%0";
    }
  if (GET_CODE (operands[2]) == CONST_INT)
    {
      if (INTVAL (operands[2]) > 0
	  && INTVAL (operands[2]) <= 8)
	return (ADDRESS_REG_P (operands[0])
		? "addq%.w %2,%0"
		: "addq%.l %2,%0");
      if (INTVAL (operands[2]) < 0
	  && INTVAL (operands[2]) >= -8)
        {
	  operands[2] = gen_rtx (CONST_INT, VOIDmode,
			         - INTVAL (operands[2]));
	  return (ADDRESS_REG_P (operands[0])
		  ? "subq%.w %2,%0"
		  : "subq%.l %2,%0");
	}
      if (ADDRESS_REG_P (operands[0])
	  && INTVAL (operands[2]) >= -0x8000
	  && INTVAL (operands[2]) < 0x8000)
	return "add%.w %2,%0";
    }
  return "add%.l %2,%0";
}
}

static char *
output_117 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[2]) == CONST_INT)
    {
      if (INTVAL (operands[2]) > 0
	  && INTVAL (operands[2]) <= 8)
	return "addq%.w %2,%0";
    }
  if (GET_CODE (operands[2]) == CONST_INT)
    {
      if (INTVAL (operands[2]) < 0
	  && INTVAL (operands[2]) >= -8)
	{
	  operands[2] = gen_rtx (CONST_INT, VOIDmode,
			         - INTVAL (operands[2]));
	  return "subq%.w %2,%0";
	}
    }
  return "add%.w %2,%0";
}
}

static char *
output_119 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[2]) == CONST_INT)
    {
      if (INTVAL (operands[2]) > 0
	  && INTVAL (operands[2]) <= 8)
	return "addq%.b %2,%0";
    }
  if (GET_CODE (operands[2]) == CONST_INT)
    {
      if (INTVAL (operands[2]) < 0 && INTVAL (operands[2]) >= -8)
       {
	 operands[2] = gen_rtx (CONST_INT, VOIDmode, - INTVAL (operands[2]));
	 return "subq%.b %2,%0";
       }
    }
  return "add%.b %2,%0";
}
}

static char *
output_122 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[2]) && ! DATA_REG_P (operands[2]))
    return "fadd.x %2,%0";
  return "fadd%.s%2,%0";
}
}

static char *
output_123 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_3 (operands, 0x1000, "FADDS");
}

static char *
output_125 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[2]))
    return "fadd.x %2,%0";
  return "fadd.d %2,%0";
}
}

static char *
output_126 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_3 (operands, 0x0800, "FADDD");
}

static char *
output_129 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_3 (operands, 0x0000, "FADDX");
}

static char *
output_130 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (! operands_match_p (operands[0], operands[1]))
    {
      if (operands_match_p (operands[0], operands[2]))
	{
	  if (GET_CODE (operands[1]) == CONST_INT)
	    {
	      if (INTVAL (operands[1]) > 0
		  && INTVAL (operands[1]) <= 8)
		return "subq%.l %1,%0\n\tneg%.l %0";
	    }
	  return "sub%.l %1,%0\n\tneg%.l %0";
	}
      /* This case is matched by J, but negating -0x8000
         in an lea would give an invalid displacement.
	 So do this specially.  */
      if (INTVAL (operands[2]) == -0x8000)
	return "move%.l %1,%0\n\tsub%.l %2,%0";
      return TARGET_GAS?"lea %1@(%n2),%0":"lea (%n2,%1),%0";
    }
  if (GET_CODE (operands[2]) == CONST_INT)
    {
      if (INTVAL (operands[2]) > 0
	  && INTVAL (operands[2]) <= 8)
	return "subq%.l %2,%0";
      if (ADDRESS_REG_P (operands[0])
	  && INTVAL (operands[2]) >= -0x8000
	  && INTVAL (operands[2]) < 0x8000)
	return "sub%.w %2,%0";
    }
  if (GET_CODE (operands[2]) == SYMBOL_REF)
    {
      return "pea %a2\n\tsub%.l %+,%0";
    }
  return "sub%.l %2,%0";
}
}

static char *
output_137 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[2]) && ! DATA_REG_P (operands[2]))
    return "fsub.x %2,%0";
  return "fsub%.s%2,%0";
}
}

static char *
output_138 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_3 (operands, 0x1002, "FSUBS");
}

static char *
output_140 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[2]))
    return "fsub.x %2,%0";
  return "fsub.d %2,%0";
}
}

static char *
output_141 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_3 (operands, 0x0802, "FSUBD");
}

static char *
output_144 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_3 (operands, 0x0002, "FSUBX");
}

static char *
output_149 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_int_lib_call (operands, "ULMULT");
}

static char *
output_154 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_int_lib_call (operands, "ULMULT");
}

static char *
output_156 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[2]) && ! DATA_REG_P (operands[2]))
    return "fsglmul.x %2,%0";
  return "fsglmul%.s%2,%0";
}
}

static char *
output_157 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_3 (operands, 0x1004, "FMULS");
}

static char *
output_159 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[2]))
    return "fmul.x %2,%0";
  return "fmul.d %2,%0";
}
}

static char *
output_160 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_3 (operands, 0x0804, "FMULD");
}

static char *
output_163 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_3 (operands, 0x0004, "FMULX");
}

static char *
output_168 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_int_lib_call (operands, "LDIVT");
}

static char *
output_173 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_int_lib_call (operands, "ULDIVT");
}

static char *
output_175 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[2]) && ! DATA_REG_P (operands[2]))
    return "fsgldiv.x %2,%0";
  return "fsgldiv%.s%2,%0";
}
}

static char *
output_176 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_3 (operands, 0x1006, "FDIVS");
}

static char *
output_178 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[2]))
    return "fdiv.x %2,%0";
  return "fdiv.d %2,%0";
}
}

static char *
output_179 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_3 (operands, 0x0806, "FDIVD");
}

static char *
output_182 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_3 (operands, 0x0006, "FDIVX");
}

static char *
output_183 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  /* The swap insn produces cc's that don't correspond to the result.  */
  CC_STATUS_INIT;
  return "ext%.l %0\n\tdivs%.w %2,%0\n\tswap %0";
}
}

static char *
output_184 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  /* The swap insn produces cc's that don't correspond to the result.  */
  CC_STATUS_INIT;
  return "divs%.w %2,%0\n\tswap %0";
}
}

static char *
output_185 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  /* The swap insn produces cc's that don't correspond to the result.  */
  CC_STATUS_INIT;
  return "and%.l #$FFFF,%0\n\tdivu%.w %2,%0\n\tswap %0";
}
}

static char *
output_186 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  /* The swap insn produces cc's that don't correspond to the result.  */
  CC_STATUS_INIT;
  return "divu%.w %2,%0\n\tswap %0";
}
}

static char *
output_189 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[2]) == CONST_INT
      && (INTVAL (operands[2]) | 0xffff) == 0xffffffff
      && (DATA_REG_P (operands[0])
	  || offsettable_memref_p (operands[0])))
    { 
      if (GET_CODE (operands[0]) != REG)
        operands[0] = adj_offsettable_operand (operands[0], 2);
      operands[2] = gen_rtx (CONST_INT, VOIDmode,
			     INTVAL (operands[2]) & 0xffff);
      /* Do not delete a following tstl %0 insn; that would be incorrect.  */
      CC_STATUS_INIT;
      if (operands[2] == const0_rtx)
        return "clr%.w %0";
      return "and%.w %2,%0";
    }
  return "and%.l %2,%0";
}
}

static char *
output_194 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  register int logval;
  if (GET_CODE (operands[2]) == CONST_INT
      && INTVAL (operands[2]) >> 16 == 0
      && (DATA_REG_P (operands[0])
	  || offsettable_memref_p (operands[0])))
    { 
      if (GET_CODE (operands[0]) != REG)
        operands[0] = adj_offsettable_operand (operands[0], 2);
      /* Do not delete a following tstl %0 insn; that would be incorrect.  */
      CC_STATUS_INIT;
      return "or%.w %2,%0";
    }
  if (GET_CODE (operands[2]) == CONST_INT
      && (logval = exact_log2 (INTVAL (operands[2]))) >= 0
      && (DATA_REG_P (operands[0])
	  || offsettable_memref_p (operands[0])))
    { 
      if (DATA_REG_P (operands[0]))
	{
	  operands[1] = gen_rtx (CONST_INT, VOIDmode, logval);
	}
      else
        {
	  operands[0] = adj_offsettable_operand (operands[0], 3 - (logval / 8));
	  operands[1] = gen_rtx (CONST_INT, VOIDmode, logval % 8);
	}
      return "bset %1,%0";
    }
  return "or%.l %2,%0";
}
}

static char *
output_197 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (GET_CODE (operands[2]) == CONST_INT
      && INTVAL (operands[2]) >> 16 == 0
      && (offsettable_memref_p (operands[0]) || DATA_REG_P (operands[0])))
    { 
      if (! DATA_REG_P (operands[0]))
	operands[0] = adj_offsettable_operand (operands[0], 2);
      /* Do not delete a following tstl %0 insn; that would be incorrect.  */
      CC_STATUS_INIT;
      return "eor%.w %2,%0";
    }
  return "eor%.l %2,%0";
}
}

static char *
output_204 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[1]) && ! DATA_REG_P (operands[1]))
    return "fneg.x %1,%0";
  return "fneg%.s%1,%0";
}
}

static char *
output_205 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_2 (operands, 0x000d, "FNEGX");
}

static char *
output_207 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[1]) && ! DATA_REG_P (operands[1]))
    return "fneg.x %1,%0";
  return "fneg.d %1,%0";
}
}

static char *
output_208 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_2 (operands, 0x000d, "FNEGX");
}

static char *
output_211 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_2 (operands, 0x000d, "FNEGX");
}

static char *
output_226 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[1]) && ! DATA_REG_P (operands[1]))
    return "fabs.x %1,%0";
  return "fabs%.s%1,%0";
}
}

static char *
output_227 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_2 (operands, 0x000f, "FABSX");
}

static char *
output_229 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[1]) && ! DATA_REG_P (operands[1]))
    return "fabs.x %1,%0";
  return "fabs.d %1,%0";
}
}

static char *
output_230 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_2 (operands, 0x000f, "FABSX");
}

static char *
output_233 (operands, insn)
     rtx *operands;
     rtx insn;
{
 return output_sane_2 (operands, 0x000f, "FABSX");
}

static char *
output_237 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (TARGET_68020)
    return "move%.b %1,%0\n\textb%.l %0";
  return "move%.b %1,%0\n\text%.w %0\n\text%.l %0";
}
}

static char *
output_238 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (reg_mentioned_p (operands[0], operands[1]))
    return "move%.b %1,%0\n\tand%.l #$FF,%0";
  return "clr%.l %0\n\tmove%.b %1,%0";
}
}

static char *
output_239 (operands, insn)
     rtx *operands;
     rtx insn;
{
 cc_status.flags |= CC_REVERSED;
  return "cmp%.b %0,%1";

}

static char *
output_240 (operands, insn)
     rtx *operands;
     rtx insn;
{

  return "cmp%.b %1,%0";

}

static char *
output_241 (operands, insn)
     rtx *operands;
     rtx insn;
{
 cc_status.flags |= CC_REVERSED;
  return "cmp%.b %0,%1";

}

static char *
output_242 (operands, insn)
     rtx *operands;
     rtx insn;
{

  return "cmp%.b %1,%0";

}

static char *
output_261 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[0]))
    {
      if (INTVAL (operands[1]) + INTVAL (operands[2]) != 32)
        return "bfins %3,%0{%b2:%b1}";
    }
  else
    operands[0]
      = adj_offsettable_operand (operands[0], INTVAL (operands[2]) / 8);

  if (GET_CODE (operands[3]) == MEM)
    operands[3] = adj_offsettable_operand (operands[3],
					  (32 - INTVAL (operands[1])) / 8);
  if (INTVAL (operands[1]) == 8)
    return "move%.b %3,%0";
  return "move%.w %3,%0";
}
}

static char *
output_262 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[1]))
    {
      if (INTVAL (operands[2]) + INTVAL (operands[3]) != 32)
	return "bfextu %1{%b3:%b2},%0";
    }
  else
    operands[1]
      = adj_offsettable_operand (operands[1], INTVAL (operands[3]) / 8);

  output_asm_insn ("clr%.l %0", operands);
  if (GET_CODE (operands[0]) == MEM)
    operands[0] = adj_offsettable_operand (operands[0],
					  (32 - INTVAL (operands[1])) / 8);
  if (INTVAL (operands[2]) == 8)
    return "move%.b %1,%0";
  return "move%.w %1,%0";
}
}

static char *
output_263 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (REG_P (operands[1]))
    {
      if (INTVAL (operands[2]) + INTVAL (operands[3]) != 32)
	return "bfexts %1{%b3:%b2},%0";
    }
  else
    operands[1]
      = adj_offsettable_operand (operands[1], INTVAL (operands[3]) / 8);

  if (INTVAL (operands[2]) == 8)
    return "move%.b %1,%0\n\textb%.l %0";
  return "move%.w %1,%0\n\text%.l %0";
}
}

static char *
output_266 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  CC_STATUS_INIT;
  return "bfchg %0{%b2:%b1}";
}
}

static char *
output_267 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  CC_STATUS_INIT;
  return "bfclr %0{%b2:%b1}";
}
}

static char *
output_268 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  CC_STATUS_INIT;
  return "bfset %0{%b2:%b1}";
}
}

static char *
output_272 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  CC_STATUS_INIT;
  return "bfclr %0{%b2:%b1}";
}
}

static char *
output_273 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  CC_STATUS_INIT;
  return "bfset %0{%b2:%b1}";
}
}

static char *
output_274 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
#if 0
  /* These special cases are now recognized by a specific pattern.  */
  if (GET_CODE (operands[1]) == CONST_INT && GET_CODE (operands[2]) == CONST_INT
      && INTVAL (operands[1]) == 16 && INTVAL (operands[2]) == 16)
    return "move%.w %3,%0";
  if (GET_CODE (operands[1]) == CONST_INT && GET_CODE (operands[2]) == CONST_INT
      && INTVAL (operands[1]) == 24 && INTVAL (operands[2]) == 8)
    return "move%.b %3,%0";
#endif
  return "bfins %3,%0{%b2:%b1}";
}
}

static char *
output_275 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (operands[1] == const1_rtx
      && GET_CODE (operands[2]) == CONST_INT)
    {    
      int width = GET_CODE (operands[0]) == REG ? 31 : 7;
      return output_btst (operands,
			  gen_rtx (CONST_INT, VOIDmode,
				   width - INTVAL (operands[2])),
			  operands[0],
			  insn, 1000);
      /* Pass 1000 as SIGNPOS argument so that btst will
         not think we are testing the sign bit for an `and'
	 and assume that nonzero implies a negative result.  */
    }
  if (INTVAL (operands[1]) != 32)
    cc_status.flags = CC_NOT_NEGATIVE;
  return "bftst %0{%b2:%b1}";
}
}

static char *
output_276 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (operands[1] == const1_rtx
      && GET_CODE (operands[2]) == CONST_INT)
    {    
      int width = GET_CODE (operands[0]) == REG ? 31 : 7;
      return output_btst (operands,
			  gen_rtx (CONST_INT, VOIDmode,
				   width - INTVAL (operands[2])),
			  operands[0],
			  insn, 1000);
      /* Pass 1000 as SIGNPOS argument so that btst will
         not think we are testing the sign bit for an `and'
	 and assume that nonzero implies a negative result.  */
    }
  if (INTVAL (operands[1]) != 32)
    cc_status.flags = CC_NOT_NEGATIVE;
  return "bftst %0{%b2:%b1}";
}
}

static char *
output_277 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (operands[1] == const1_rtx
      && GET_CODE (operands[2]) == CONST_INT)
    {    
      int width = GET_CODE (operands[0]) == REG ? 31 : 7;
      return output_btst (operands,
			  gen_rtx (CONST_INT, VOIDmode,
				   width - INTVAL (operands[2])),
			  operands[0],
			  insn, 1000);
      /* Pass 1000 as SIGNPOS argument so that btst will
         not think we are testing the sign bit for an `and'
	 and assume that nonzero implies a negative result.  */
    }
  if (INTVAL (operands[1]) != 32)
    cc_status.flags = CC_NOT_NEGATIVE;
  return "bftst %0{%b2:%b1}";
}
}

static char *
output_278 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (operands[1] == const1_rtx
      && GET_CODE (operands[2]) == CONST_INT)
    {    
      int width = GET_CODE (operands[0]) == REG ? 31 : 7;
      return output_btst (operands,
			  gen_rtx (CONST_INT, VOIDmode,
				   width - INTVAL (operands[2])),
			  operands[0],
			  insn, 1000);
      /* Pass 1000 as SIGNPOS argument so that btst will
         not think we are testing the sign bit for an `and'
	 and assume that nonzero implies a negative result.  */
    }
  if (INTVAL (operands[1]) != 32)
    cc_status.flags = CC_NOT_NEGATIVE;
  return "bftst %0{%b2:%b1}";
}
}

static char *
output_279 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (operands[1] == const1_rtx
      && GET_CODE (operands[2]) == CONST_INT)
    {    
      int width = GET_CODE (operands[0]) == REG ? 31 : 7;
      return output_btst (operands,
			  gen_rtx (CONST_INT, VOIDmode,
				   width - INTVAL (operands[2])),
			  operands[0],
			  insn, 1000);
      /* Pass 1000 as SIGNPOS argument so that btst will
         not think we are testing the sign bit for an `and'
	 and assume that nonzero implies a negative result.  */
    }
  if (INTVAL (operands[1]) != 32)
    cc_status.flags = CC_NOT_NEGATIVE;
  return "bftst %0{%b2:%b1}";
}
}

static char *
output_280 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (operands[1] == const1_rtx
      && GET_CODE (operands[2]) == CONST_INT)
    {    
      int width = GET_CODE (operands[0]) == REG ? 31 : 7;
      return output_btst (operands,
			  gen_rtx (CONST_INT, VOIDmode,
				   width - INTVAL (operands[2])),
			  operands[0],
			  insn, 1000);
      /* Pass 1000 as SIGNPOS argument so that btst will
         not think we are testing the sign bit for an `and'
	 and assume that nonzero implies a negative result.  */
    }
  if (INTVAL (operands[1]) != 32)
    cc_status.flags = CC_NOT_NEGATIVE;
  return "bftst %0{%b2:%b1}";
}
}

static char *
output_281 (operands, insn)
     rtx *operands;
     rtx insn;
{

  cc_status = cc_prev_status;
  OUTPUT_JUMP ("seq %0", "fseq %0", "seq %0");

}

static char *
output_282 (operands, insn)
     rtx *operands;
     rtx insn;
{

  cc_status = cc_prev_status;
  OUTPUT_JUMP ("sne %0", "fsne %0", "sne %0");

}

static char *
output_283 (operands, insn)
     rtx *operands;
     rtx insn;
{

  cc_status = cc_prev_status;
  OUTPUT_JUMP ("sgt %0", "fsgt %0", 0);

}

static char *
output_284 (operands, insn)
     rtx *operands;
     rtx insn;
{
 cc_status = cc_prev_status;
     return "shi %0"; 
}

static char *
output_285 (operands, insn)
     rtx *operands;
     rtx insn;
{
 cc_status = cc_prev_status;
     OUTPUT_JUMP ("slt %0", "fslt %0", "smi %0"); 
}

static char *
output_286 (operands, insn)
     rtx *operands;
     rtx insn;
{
 cc_status = cc_prev_status;
     return "scs %0"; 
}

static char *
output_287 (operands, insn)
     rtx *operands;
     rtx insn;
{
 cc_status = cc_prev_status;
     OUTPUT_JUMP ("sge %0", "fsge %0", "spl %0"); 
}

static char *
output_288 (operands, insn)
     rtx *operands;
     rtx insn;
{
 cc_status = cc_prev_status;
     return "scc %0"; 
}

static char *
output_289 (operands, insn)
     rtx *operands;
     rtx insn;
{

  cc_status = cc_prev_status;
  OUTPUT_JUMP ("sle %0", "fsle %0", 0);

}

static char *
output_290 (operands, insn)
     rtx *operands;
     rtx insn;
{
 cc_status = cc_prev_status;
     return "sls %0"; 
}

static char *
output_291 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  OUTPUT_JUMP ("beq %l0", "fbeq %l0", "beq %l0");
}
}

static char *
output_292 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  OUTPUT_JUMP ("bne %l0", "fbne %l0", "bne %l0");
}
}

static char *
output_293 (operands, insn)
     rtx *operands;
     rtx insn;
{

  OUTPUT_JUMP ("bgt %l0", "fbgt %l0", 0);

}

static char *
output_294 (operands, insn)
     rtx *operands;
     rtx insn;
{

  return "bhi %l0";

}

static char *
output_295 (operands, insn)
     rtx *operands;
     rtx insn;
{

  OUTPUT_JUMP ("blt %l0", "fblt %l0", "bmi %l0");

}

static char *
output_296 (operands, insn)
     rtx *operands;
     rtx insn;
{

  return "bcs %l0";

}

static char *
output_297 (operands, insn)
     rtx *operands;
     rtx insn;
{

  OUTPUT_JUMP ("bge %l0", "fbge %l0", "bpl %l0");

}

static char *
output_298 (operands, insn)
     rtx *operands;
     rtx insn;
{

  return "bcc %l0";

}

static char *
output_299 (operands, insn)
     rtx *operands;
     rtx insn;
{

  OUTPUT_JUMP ("ble %l0", "fble %l0", 0);

}

static char *
output_300 (operands, insn)
     rtx *operands;
     rtx insn;
{

  return "bls %l0";

}

static char *
output_301 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  OUTPUT_JUMP ("bne %l0", "fbne %l0", "bne %l0");
}
}

static char *
output_302 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  OUTPUT_JUMP ("beq %l0", "fbeq %l0", "beq %l0");
}
}

static char *
output_303 (operands, insn)
     rtx *operands;
     rtx insn;
{

  OUTPUT_JUMP ("ble %l0", "fbngt %l0", 0);

}

static char *
output_304 (operands, insn)
     rtx *operands;
     rtx insn;
{

  return "bls %l0";

}

static char *
output_305 (operands, insn)
     rtx *operands;
     rtx insn;
{

  OUTPUT_JUMP ("bge %l0", "fbnlt %l0", "bpl %l0");

}

static char *
output_306 (operands, insn)
     rtx *operands;
     rtx insn;
{

  return "bcc %l0";

}

static char *
output_307 (operands, insn)
     rtx *operands;
     rtx insn;
{

  OUTPUT_JUMP ("blt %l0", "fbnge %l0", "bmi %l0");

}

static char *
output_308 (operands, insn)
     rtx *operands;
     rtx insn;
{

  return "bcs %l0";

}

static char *
output_309 (operands, insn)
     rtx *operands;
     rtx insn;
{

  OUTPUT_JUMP ("bgt %l0", "fbnle %l0", 0);

}

static char *
output_310 (operands, insn)
     rtx *operands;
     rtx insn;
{

  return "bhi %l0";

}

static char *
output_314 (operands, insn)
     rtx *operands;
     rtx insn;
{

  return TARGET_GAS?"jmp @(%l1,%0:w)":"jmp %l1(%0.w)";

}

static char *
output_315 (operands, insn)
     rtx *operands;
     rtx insn;
{

  return "bra %l0";

}

static char *
output_316 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (DATA_REG_P (operands[0]))
    return "dbra %0,%l1";
  if (GET_CODE (operands[0]) == MEM)
    {
      return "subq%.w #1,%0\n\tbcc %l1";
    }
  return "subq%.w #1,%0\n\tcmp%.w #-1,%0\n\tbne %l1";
}
}

static char *
output_317 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (DATA_REG_P (operands[0]))
    return "dbra %0,%l1\n\tclr%.w %0\n\tsubq%.l #1,%0\n\tbcc %l1";
  if (GET_CODE (operands[0]) == MEM)
    return "subq%.l #1,%0\n\tbcc %l1";
  return "subq%.l #1,%0\n\tcmp%.l #-1,%0\n\tbne %l1";
}
}

static char *
output_318 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  if (DATA_REG_P (operands[0]))
    return "dbra %0,%l1\n\tclr%.w %0\n\tsubq%.l #1,%0\n\tbcc %l1";
  if (GET_CODE (operands[0]) == MEM)
    return "subq%.l #1,%0\n\tbcc %l1";
  return "subq%.l #1,%0\n\tcmp%.l #-1,%0\n\tbne %l1";
}
}

static char *
output_319 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  char *name = "?";
  rtx sym = XEXP (operands[0], 0);
  if (GET_CODE(sym) == SYMBOL_REF) name = XSTR (sym, 0);

  if (name[1] == ';')
    {
      operands[0] = gen_rtx (MEM, QImode,
			     gen_rtx (SYMBOL_REF, SImode, name+2));
      return TARGET_GAS?".word %0":"DC.W %0";
    }
  if (TARGET_FX30 && GET_CODE (XEXP (operands[0], 0)) == SYMBOL_REF)
    {
      return "DC.W $61ff ; bsr.l\n\tDC.L %0-m#start-*";
    }
  return "jsr %0";
}
}

static char *
output_320 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  char *name = XSTR (XEXP (operands[1], 0), 0);

  if (name[1] == ';') {
    operands[1] = gen_rtx (MEM, QImode, gen_rtx (SYMBOL_REF, SImode, name+2));
    return TARGET_GAS?".word %1":"DC.W %1";
  }
  if (TARGET_FX30 && GET_CODE (XEXP (operands[1], 0)) == SYMBOL_REF)
    {
      return "DC.W $61ff ; bsr.l\n\tDC.L %1-m#start-*";
    }
  return "jsr %1";
}
}

static char *
output_324 (operands, insn)
     rtx *operands;
     rtx insn;
{

{
  rtx xoperands[2];
  xoperands[1] = gen_rtx (REG, SImode, REGNO (operands[1]) + 1);
  output_asm_insn ("move%.l %1,%@", xoperands);
  output_asm_insn ("move%.l %1,%-", operands);
  return "fmove.d %+,%0";
}

}

char * const insn_template[] =
  {
    0,
    0,
    0,
    0,
    "tst%.b %0",
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    "pea %a1",
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    "ext%.w %0",
    "extb%.l %0",
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    "fmove%.s%1,%0",
    0,
    0,
    "fmove%.s%1,%0",
    0,
    0,
    0,
    0,
    0,
    "fmove%.l %1,%0",
    0,
    0,
    "fmove%.l %1,%0",
    0,
    0,
    "fmove%.l %1,%0",
    0,
    "fmove%.w %1,%0",
    "fmove%.w %1,%0",
    "fmove%.w %1,%0",
    "fmove%.b %1,%0",
    "fmove%.b %1,%0",
    "fmove%.b %1,%0",
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    "fintrz.x %1,%0",
    "fmove%.b %1,%0",
    "fmove%.w %1,%0",
    "fmove%.l %1,%0",
    "fmove%.b %1,%0",
    "fmove%.w %1,%0",
    "fmove%.l %1,%0",
    "fmove%.b %1,%0",
    "fmove%.w %1,%0",
    0,
    0,
    "fmove%.l %1,%0",
    0,
    0,
    0,
    0,
    "add%.w %2,%0",
    0,
    "add%.w %1,%0",
    0,
    "add%.b %1,%0",
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    "fadd.x %2,%0",
    0,
    0,
    "sub%.w %2,%0",
    "sub%.w %2,%0",
    "sub%.w %1,%0",
    "sub%.b %2,%0",
    "sub%.b %1,%0",
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    "fsub.x %2,%0",
    0,
    "muls%.w %2,%0",
    "muls%.w %2,%0",
    0,
    "muls%.l %2,%0",
    0,
    "mulu%.w %2,%0",
    "mulu%.w %2,%0",
    0,
    "mulu%.l %2,%0",
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    "fmul.x %2,%0",
    0,
    "ext%.l %0\n\tdivs%.w %2,%0",
    "divs%.w %2,%0",
    0,
    "divs%.l %2,%0",
    0,
    "and%.l #$FFFF,%0\n\tdivu%.w %2,%0",
    "divu%.w %2,%0",
    0,
    "divu%.l %2,%0",
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    "fdiv.x %2,%0",
    0,
    0,
    0,
    0,
    0,
    "tdivs%.l %2,%3:%0",
    "tdivu%.l %2,%3:%0",
    0,
    "and%.w %2,%0",
    "and%.b %2,%0",
    "and%.w %1,%0",
    "and%.b %1,%0",
    0,
    "or%.w %2,%0",
    "or%.b %2,%0",
    0,
    "eor%.w %2,%0",
    "eor%.b %2,%0",
    "neg%.l %0",
    "neg%.w %0",
    "neg%.b %0",
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    "fneg.x %1,%0",
    0,
    "fsin.x %1,%0",
    "fcos.x %1,%0",
    "ftan.x %1,%0",
    "fasin.x %1,%0",
    "facos.x %1,%0",
    "fatan.x %1,%0",
    "fsinh.x %1,%0",
    "fcosh.x %1,%0",
    "ftanh.x %1,%0",
    "fetox.x %1,%0",
    "flogn.x %1,%0",
    "flog10.x %1,%0",
    "fsqrt.x %1,%0",
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    "fabs.x %1,%0",
    0,
    "not%.l %0",
    "not%.w %0",
    "not%.b %0",
    0,
    0,
    0,
    0,
    0,
    0,
    "asl%.l %2,%0",
    "asl%.w %2,%0",
    "asl%.b %2,%0",
    "asr%.l %2,%0",
    "asr%.w %2,%0",
    "asr%.b %2,%0",
    "lsl%.l %2,%0",
    "lsl%.w %2,%0",
    "lsl%.b %2,%0",
    "lsr%.l %2,%0",
    "lsr%.w %2,%0",
    "lsr%.b %2,%0",
    "rol%.l %2,%0",
    "rol%.w %2,%0",
    "rol%.b %2,%0",
    "ror%.l %2,%0",
    "ror%.w %2,%0",
    "ror%.b %2,%0",
    0,
    0,
    0,
    "bfexts %1{%b3:%b2},%0",
    "bfextu %1{%b3:%b2},%0",
    0,
    0,
    0,
    "bfins %3,%0{%b2:%b1}",
    "bfexts %1{%b3:%b2},%0",
    "bfextu %1{%b3:%b2},%0",
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    "ret 0",
    "nop",
    "lea %a1,%0",
    0,
  };

char *(*const insn_outfun[])() =
  {
    output_0,
    output_1,
    output_2,
    output_3,
    0,
    0,
    output_6,
    output_7,
    0,
    output_9,
    output_10,
    0,
    output_12,
    output_13,
    output_14,
    output_15,
    output_16,
    0,
    output_18,
    output_19,
    0,
    output_21,
    output_22,
    0,
    output_24,
    output_25,
    output_26,
    output_27,
    output_28,
    output_29,
    output_30,
    output_31,
    output_32,
    output_33,
    output_34,
    output_35,
    output_36,
    output_37,
    output_38,
    output_39,
    output_40,
    output_41,
    output_42,
    output_43,
    output_44,
    output_45,
    0,
    output_47,
    output_48,
    output_49,
    0,
    0,
    0,
    output_53,
    output_54,
    output_55,
    output_56,
    0,
    0,
    0,
    output_60,
    output_61,
    0,
    output_63,
    output_64,
    0,
    output_66,
    output_67,
    0,
    0,
    output_70,
    0,
    0,
    output_73,
    0,
    output_75,
    output_76,
    0,
    0,
    output_79,
    0,
    0,
    output_82,
    0,
    0,
    output_85,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    output_93,
    output_94,
    0,
    output_96,
    output_97,
    0,
    output_99,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    output_110,
    0,
    0,
    output_113,
    output_114,
    output_115,
    0,
    output_117,
    0,
    output_119,
    0,
    0,
    output_122,
    output_123,
    0,
    output_125,
    output_126,
    0,
    0,
    output_129,
    output_130,
    0,
    0,
    0,
    0,
    0,
    0,
    output_137,
    output_138,
    0,
    output_140,
    output_141,
    0,
    0,
    output_144,
    0,
    0,
    0,
    0,
    output_149,
    0,
    0,
    0,
    0,
    output_154,
    0,
    output_156,
    output_157,
    0,
    output_159,
    output_160,
    0,
    0,
    output_163,
    0,
    0,
    0,
    0,
    output_168,
    0,
    0,
    0,
    0,
    output_173,
    0,
    output_175,
    output_176,
    0,
    output_178,
    output_179,
    0,
    0,
    output_182,
    output_183,
    output_184,
    output_185,
    output_186,
    0,
    0,
    output_189,
    0,
    0,
    0,
    0,
    output_194,
    0,
    0,
    output_197,
    0,
    0,
    0,
    0,
    0,
    0,
    output_204,
    output_205,
    0,
    output_207,
    output_208,
    0,
    0,
    output_211,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    output_226,
    output_227,
    0,
    output_229,
    output_230,
    0,
    0,
    output_233,
    0,
    0,
    0,
    output_237,
    output_238,
    output_239,
    output_240,
    output_241,
    output_242,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    output_261,
    output_262,
    output_263,
    0,
    0,
    output_266,
    output_267,
    output_268,
    0,
    0,
    0,
    output_272,
    output_273,
    output_274,
    output_275,
    output_276,
    output_277,
    output_278,
    output_279,
    output_280,
    output_281,
    output_282,
    output_283,
    output_284,
    output_285,
    output_286,
    output_287,
    output_288,
    output_289,
    output_290,
    output_291,
    output_292,
    output_293,
    output_294,
    output_295,
    output_296,
    output_297,
    output_298,
    output_299,
    output_300,
    output_301,
    output_302,
    output_303,
    output_304,
    output_305,
    output_306,
    output_307,
    output_308,
    output_309,
    output_310,
    0,
    0,
    0,
    output_314,
    output_315,
    output_316,
    output_317,
    output_318,
    output_319,
    output_320,
    0,
    0,
    0,
    output_324,
  };

rtx (*const insn_gen_function[]) () =
  {
    0,
    0,
    gen_tstsi,
    gen_tsthi,
    gen_tstqi,
    gen_tstsf,
    0,
    0,
    gen_tstdf,
    0,
    0,
    gen_tstxf,
    0,
    0,
    gen_cmpsi,
    gen_cmphi,
    gen_cmpqi,
    gen_cmpsf,
    0,
    0,
    gen_cmpdf,
    0,
    0,
    gen_cmpxf,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    gen_movsi,
    gen_movhi,
    gen_movstricthi,
    gen_movqi,
    gen_movstrictqi,
    gen_movsf,
    gen_movdf,
    gen_movxf,
    gen_movdi,
    gen_pushasi,
    gen_truncsiqi2,
    gen_trunchiqi2,
    gen_truncsihi2,
    gen_zero_extendhisi2,
    gen_zero_extendqihi2,
    gen_zero_extendqisi2,
    0,
    0,
    0,
    gen_extendhisi2,
    gen_extendqihi2,
    gen_extendqisi2,
    gen_extendsfdf2,
    0,
    0,
    gen_extendsfxf2,
    0,
    0,
    gen_extenddfxf2,
    0,
    0,
    gen_truncdfsf2,
    0,
    0,
    gen_truncxfsf2,
    0,
    0,
    gen_truncxfdf2,
    0,
    0,
    gen_floatsisf2,
    0,
    0,
    gen_floatsidf2,
    0,
    0,
    gen_floatsixf2,
    0,
    0,
    gen_floathisf2,
    gen_floathidf2,
    gen_floathixf2,
    gen_floatqisf2,
    gen_floatqidf2,
    gen_floatqixf2,
    gen_ftruncsf2,
    0,
    0,
    gen_ftruncdf2,
    0,
    0,
    gen_ftruncxf2,
    0,
    0,
    gen_fixsfqi2,
    gen_fixsfhi2,
    gen_fixsfsi2,
    gen_fixdfqi2,
    gen_fixdfhi2,
    gen_fixdfsi2,
    gen_fixxfqi2,
    gen_fixxfhi2,
    gen_fixxfsi2,
    0,
    0,
    gen_fixunsxfsi2,
    0,
    0,
    gen_addsi3,
    0,
    gen_addhi3,
    0,
    gen_addqi3,
    0,
    gen_addsf3,
    0,
    0,
    gen_adddf3,
    0,
    0,
    gen_addxf3,
    0,
    0,
    gen_subsi3,
    0,
    gen_subhi3,
    0,
    gen_subqi3,
    0,
    gen_subsf3,
    0,
    0,
    gen_subdf3,
    0,
    0,
    gen_subxf3,
    0,
    0,
    gen_mulhi3,
    gen_mulhisi3,
    gen_mulsi3,
    0,
    0,
    gen_umulhi3,
    gen_umulhisi3,
    gen_umulsi3,
    0,
    0,
    gen_mulsf3,
    0,
    0,
    gen_muldf3,
    0,
    0,
    gen_mulxf3,
    0,
    0,
    gen_divhi3,
    gen_divhisi3,
    gen_divsi3,
    0,
    0,
    gen_udivhi3,
    gen_udivhisi3,
    gen_udivsi3,
    0,
    0,
    gen_divsf3,
    0,
    0,
    gen_divdf3,
    0,
    0,
    gen_divxf3,
    0,
    0,
    gen_modhi3,
    gen_modhisi3,
    gen_umodhi3,
    gen_umodhisi3,
    gen_divmodsi4,
    gen_udivmodsi4,
    gen_andsi3,
    gen_andhi3,
    gen_andqi3,
    0,
    0,
    gen_iorsi3,
    gen_iorhi3,
    gen_iorqi3,
    gen_xorsi3,
    gen_xorhi3,
    gen_xorqi3,
    gen_negsi2,
    gen_neghi2,
    gen_negqi2,
    gen_negsf2,
    0,
    0,
    gen_negdf2,
    0,
    0,
    gen_negxf2,
    0,
    0,
    gen_sinxf2,
    gen_cosxf2,
    gen_tanxf2,
    gen_asinxf2,
    gen_acosxf2,
    gen_atanxf2,
    gen_sinhxf2,
    gen_coshxf2,
    gen_tanhxf2,
    gen_expxf2,
    gen_logxf2,
    gen_log10xf2,
    gen_sqrtxf2,
    gen_abssf2,
    0,
    0,
    gen_absdf2,
    0,
    0,
    gen_absxf2,
    0,
    0,
    gen_one_cmplsi2,
    gen_one_cmplhi2,
    gen_one_cmplqi2,
    0,
    0,
    0,
    0,
    0,
    0,
    gen_ashlsi3,
    gen_ashlhi3,
    gen_ashlqi3,
    gen_ashrsi3,
    gen_ashrhi3,
    gen_ashrqi3,
    gen_lshlsi3,
    gen_lshlhi3,
    gen_lshlqi3,
    gen_lshrsi3,
    gen_lshrhi3,
    gen_lshrqi3,
    gen_rotlsi3,
    gen_rotlhi3,
    gen_rotlqi3,
    gen_rotrsi3,
    gen_rotrhi3,
    gen_rotrqi3,
    0,
    0,
    0,
    gen_extv,
    gen_extzv,
    0,
    0,
    0,
    gen_insv,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    gen_seq,
    gen_sne,
    gen_sgt,
    gen_sgtu,
    gen_slt,
    gen_sltu,
    gen_sge,
    gen_sgeu,
    gen_sle,
    gen_sleu,
    gen_beq,
    gen_bne,
    gen_bgt,
    gen_bgtu,
    gen_blt,
    gen_bltu,
    gen_bge,
    gen_bgeu,
    gen_ble,
    gen_bleu,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    gen_casesi_1,
    gen_casesi_2,
    gen_casesi,
    0,
    gen_jump,
    0,
    0,
    0,
    gen_call,
    gen_call_value,
    gen_return,
    gen_nop,
    0,
    0,
  };

const char insn_n_operands[] =
  {
    2,
    2,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    1,
    2,
    2,
    1,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    3,
    3,
    3,
    2,
    3,
    2,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    2,
    3,
    2,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    4,
    4,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    2,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    3,
    4,
    4,
    4,
    4,
    4,
    4,
    3,
    3,
    4,
    4,
    4,
    3,
    3,
    4,
    3,
    3,
    3,
    3,
    3,
    3,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    4,
    2,
    5,
    1,
    0,
    1,
    1,
    1,
    2,
    3,
    0,
    0,
    2,
    2,
  };

const char insn_n_dups[] =
  {
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    1,
    0,
    1,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    1,
    0,
    1,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    2,
    2,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    3,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    2,
    2,
    2,
    0,
    0,
    0,
    0,
    0,
    0,
  };

char *const insn_operand_constraint[][MAX_RECOG_OPERANDS] =
  {
    { "=m", "ro<>fF", },
    { "=m", "ro<>F", },
    { "rm", },
    { "rm", },
    { "dm", },
    { "", },
    { "fdm", },
    { "ro", },
    { "", },
    { "fm", },
    { "ro", },
    { "", },
    { "f", },
    { "ro", },
    { "rM,mr,>", "mr,Mr,>", },
    { "rnm,d,n,m", "d,rnm,m,n", },
    { "dn,d,m,>", "dm,nd,d,>", },
    { "", "", },
    { "f,mdG", "fmdG,f", },
    { "ro", "ro", },
    { "", "", },
    { "f,mG", "fmG,f", },
    { "ro", "ro", },
    { "", "", },
    { "f,mG", "fmG,f", },
    { "ro", "ro", },
    { "do", "di", },
    { "d", "di", },
    { "do", "d", },
    { "d", "d", },
    { "md", "i", },
    { "o,d", "i,i", },
    { "do", "i", },
    { "dm", },
    { "dm", "i", },
    { "=m", "J", },
    { "=g", },
    { "=dam", "dami", },
    { "=g", "g", },
    { "+dm", "rmn", },
    { "=d,*a,m", "dmi*a,d*a,dmi", },
    { "+dm", "dmn", },
    { "=rmf", "rmfF", },
    { "=rm,&rf,&ro<>f", "rf,m,ro<>fF", },
    { "=&ro<>f", "ro<>fF", },
    { "=rm,&rf,&ro<>,!&rm,!&f", "r,m,roi<>,fF,rfF", },
    { "=m", "p", },
    { "=dm,d", "doJ,i", },
    { "=dm,d", "doJ,i", },
    { "=dm,d", "roJ,i", },
    { "", "", },
    { "", "", },
    { "", "", },
    { "=do<>", "rmn", },
    { "=do<>", "dmn", },
    { "=do<>", "dmn", },
    { "=*d,a", "0,rmn", },
    { "=d", "0", },
    { "=d", "0", },
    { "", "", },
    { "=*fdm,f", "f,dmF", },
    { "=ro", "ro", },
    { "", "", },
    { "=*fm,f", "f,dmF", },
    { "=ro", "ro", },
    { "", "", },
    { "=*fm,f", "f,mF", },
    { "=ro", "ro", },
    { "", "", },
    { "=dm", "f", },
    { "=ro", "ro", },
    { "", "", },
    { "=dm", "f", },
    { "=ro", "ro", },
    { "", "", },
    { "=dm", "f", },
    { "=ro", "ro", },
    { "", "", },
    { "=f", "dmi", },
    { "=ro", "ro", },
    { "", "", },
    { "=f", "dmi", },
    { "=ro", "ro", },
    { "", "", },
    { "=f", "dmi", },
    { "=ro", "ro", },
    { "=f", "dmn", },
    { "=f", "dmn", },
    { "=f", "dmn", },
    { "=f", "dmn", },
    { "=f", "dmn", },
    { "=f", "dmn", },
    { "", "", },
    { "=ro", "0", },
    { "=f", "dfmF", },
    { "", "", },
    { "=ro", "0", },
    { "=f", "fmF", },
    { "", "", },
    { "=ro", "0", },
    { "=f", "fmF", },
    { "=dm", "f", },
    { "=dm", "f", },
    { "=dm", "f", },
    { "=dm", "f", },
    { "=dm", "f", },
    { "=dm", "f", },
    { "=dm", "f", },
    { "=dm", "f", },
    { "", "", },
    { "=do", "ro", },
    { "=dm", "f", },
    { "", "", },
    { "=do", "ro", },
    { "=do", "f", },
    { "=m,r,!a,!a", "%0,0,a,rJK", "dIKLM,mrIKLM,rJK,a", },
    { "=a", "0", "rmn", },
    { "=m,r", "%0,0", "dn,rmn", },
    { "+m,d", "dn,rmn", },
    { "=m,d", "%0,0", "dn,dmn", },
    { "+m,d", "dn,dmn", },
    { "", "", "", },
    { "=f", "%0", "dfmF", },
    { "=ro", "%0", "ro", },
    { "", "", "", },
    { "=f", "%0", "fmF", },
    { "=ro", "%0", "ro", },
    { "", "", "", },
    { "=f", "%0", "fmG", },
    { "=ro", "%0", "ro", },
    { "=m,r,!a,?d", "0,0,a,mrIKs", "dIKs,mrIKs,J,0", },
    { "=a", "0", "rmn", },
    { "=m,r", "0,0", "dn,rmn", },
    { "+m,d", "dn,rmn", },
    { "=m,d", "0,0", "dn,dmn", },
    { "+m,d", "dn,dmn", },
    { "", "", "", },
    { "=f", "0", "dfmF", },
    { "=ro", "0", "ro", },
    { "", "", "", },
    { "=f", "0", "fmF", },
    { "=ro", "0", "ro", },
    { "", "", "", },
    { "=f", "0", "fmG", },
    { "=ro", "0", "ro", },
    { "=d", "%0", "dmn", },
    { "=d", "%0", "dmn", },
    { "", "", "", },
    { "=d", "%0", "dmsK", },
    { "=d", "%0", "dsK", },
    { "=d", "%0", "dmn", },
    { "=d", "%0", "dmn", },
    { "", "", "", },
    { "=d", "%0", "dmsK", },
    { "=d", "%0", "dsK", },
    { "", "", "", },
    { "=f", "%0", "dfmF", },
    { "=ro", "%0", "ro", },
    { "", "", "", },
    { "=f", "%0", "fmF", },
    { "=ro", "%0", "ro", },
    { "", "", "", },
    { "=f", "%0", "fmG", },
    { "=ro", "%0", "ro", },
    { "=d", "0", "dmn", },
    { "=d", "0", "dmn", },
    { "", "", "", },
    { "=d", "0", "dmsK", },
    { "=d", "0", "dsK", },
    { "=d", "0", "dmn", },
    { "=d", "0", "dmn", },
    { "", "", "", },
    { "=d", "0", "dmsK", },
    { "=d", "0", "dsK", },
    { "", "", "", },
    { "=f", "0", "dfmF", },
    { "=ro", "0", "ro", },
    { "", "", "", },
    { "=f", "0", "fmG", },
    { "=ro", "0", "ro", },
    { "", "", "", },
    { "=f", "0", "fmG", },
    { "=ro", "0", "ro", },
    { "=d", "0", "dmn", },
    { "=d", "0", "dmn", },
    { "=d", "0", "dmn", },
    { "=d", "0", "dmn", },
    { "=d", "0", "dmsK", "=d", },
    { "=d", "0", "dmsK", "=d", },
    { "=m,d", "%0,0", "dKs,dmKs", },
    { "=m,d", "%0,0", "dn,dmn", },
    { "=m,d", "%0,0", "dn,dmn", },
    { "=d", "dm", "0", },
    { "=d", "dm", "0", },
    { "=m,d", "%0,0", "dKs,dmKs", },
    { "=m,d", "%0,0", "dn,dmn", },
    { "=m,d", "%0,0", "dn,dmn", },
    { "=do,m", "%0,0", "di,dKs", },
    { "=dm", "%0", "dn", },
    { "=dm", "%0", "dn", },
    { "=dm", "0", },
    { "=dm", "0", },
    { "=dm", "0", },
    { "", "", },
    { "=f", "fmF", },
    { "=ro", "0", },
    { "", "", },
    { "=f", "fmG", },
    { "=ro", "0", },
    { "", "", },
    { "=f", "fmG", },
    { "=ro", "0", },
    { "=f", "fmG", },
    { "=f", "fmG", },
    { "=f", "fmG", },
    { "=f", "fmG", },
    { "=f", "fmG", },
    { "=f", "fmG", },
    { "=f", "fmG", },
    { "=f", "fmG", },
    { "=f", "fmG", },
    { "=f", "fmG", },
    { "=f", "fmG", },
    { "=f", "fmG", },
    { "=f", "fmG", },
    { "", "", },
    { "=f", "fmF", },
    { "=ro", "0", },
    { "", "", },
    { "=f", "fmG", },
    { "=ro", "0", },
    { "", "", },
    { "=f", "fmG", },
    { "=ro", "0", },
    { "=dm", "0", },
    { "=dm", "0", },
    { "=dm", "0", },
    { "=d", "m", },
    { "=d", "m", },
    { "i", "m", },
    { "m", "i", },
    { "i", "m", },
    { "m", "i", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "=d", "0", "dI", },
    { "+do", "i", "i", "d", },
    { "=&d", "do", "i", "i", },
    { "=d", "do", "i", "i", },
    { "=d,d", "o,d", "di,di", "di,di", },
    { "=d,d", "o,d", "di,di", "di,di", },
    { "+o,d", "di,di", "di,di", "i,i", },
    { "+o,d", "di,di", "di,di", },
    { "+o,d", "di,di", "di,di", },
    { "+o,d", "di,di", "di,di", "d,d", },
    { "=d", "d", "di", "di", },
    { "=d", "d", "di", "di", },
    { "+d", "di", "di", },
    { "+d", "di", "di", },
    { "+d", "di", "di", "d", },
    { "o", "di", "di", },
    { "o", "di", "di", },
    { "o", "di", "di", },
    { "d", "di", "di", },
    { "d", "di", "di", },
    { "d", "di", "di", },
    { "=d", },
    { "=d", },
    { "=d", },
    { "=d", },
    { "=d", },
    { "=d", },
    { "=d", },
    { "=d", },
    { "=d", },
    { "=d", },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { "", "", "", "", },
    { "", "", },
    { "", "", "", "", "", },
    { "r", },
    { 0 },
    { "g", },
    { "g", },
    { "g", },
    { "o", "g", },
    { "rf", "o", "g", },
    { 0 },
    { 0 },
    { "=a", "p", },
    { "f", "ad", },
  };

const enum machine_mode insn_operand_mode[][MAX_RECOG_OPERANDS] =
  {
    { DFmode, DFmode, },
    { DImode, DImode, },
    { SImode, },
    { HImode, },
    { QImode, },
    { SFmode, },
    { SFmode, },
    { SFmode, },
    { DFmode, },
    { DFmode, },
    { DFmode, },
    { XFmode, },
    { XFmode, },
    { XFmode, },
    { SImode, SImode, },
    { HImode, HImode, },
    { QImode, QImode, },
    { SFmode, SFmode, },
    { SFmode, SFmode, },
    { SFmode, SFmode, },
    { DFmode, DFmode, },
    { DFmode, DFmode, },
    { DFmode, DFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { QImode, SImode, },
    { SImode, SImode, },
    { QImode, SImode, },
    { SImode, SImode, },
    { QImode, SImode, },
    { HImode, SImode, },
    { SImode, SImode, },
    { QImode, },
    { QImode, SImode, },
    { SImode, SImode, },
    { SImode, },
    { SImode, SImode, },
    { HImode, HImode, },
    { HImode, HImode, },
    { QImode, QImode, },
    { QImode, QImode, },
    { SFmode, SFmode, },
    { DFmode, DFmode, },
    { XFmode, XFmode, },
    { DImode, DImode, },
    { SImode, SImode, },
    { QImode, SImode, },
    { QImode, HImode, },
    { HImode, SImode, },
    { SImode, HImode, },
    { HImode, QImode, },
    { SImode, QImode, },
    { SImode, HImode, },
    { HImode, QImode, },
    { SImode, QImode, },
    { SImode, HImode, },
    { HImode, QImode, },
    { SImode, QImode, },
    { DFmode, SFmode, },
    { DFmode, SFmode, },
    { DFmode, SFmode, },
    { XFmode, SFmode, },
    { XFmode, SFmode, },
    { XFmode, SFmode, },
    { XFmode, DFmode, },
    { XFmode, DFmode, },
    { XFmode, DFmode, },
    { SFmode, DFmode, },
    { SFmode, DFmode, },
    { SFmode, DFmode, },
    { SFmode, XFmode, },
    { SFmode, XFmode, },
    { SFmode, XFmode, },
    { DFmode, XFmode, },
    { DFmode, XFmode, },
    { DFmode, XFmode, },
    { SFmode, SImode, },
    { SFmode, SImode, },
    { SFmode, SImode, },
    { DFmode, SImode, },
    { DFmode, SImode, },
    { DFmode, SImode, },
    { XFmode, SImode, },
    { XFmode, SImode, },
    { XFmode, SImode, },
    { SFmode, HImode, },
    { DFmode, HImode, },
    { XFmode, HImode, },
    { SFmode, QImode, },
    { DFmode, QImode, },
    { XFmode, QImode, },
    { SFmode, SFmode, },
    { SFmode, SFmode, },
    { SFmode, SFmode, },
    { DFmode, DFmode, },
    { DFmode, DFmode, },
    { DFmode, DFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { QImode, SFmode, },
    { HImode, SFmode, },
    { SImode, SFmode, },
    { QImode, DFmode, },
    { HImode, DFmode, },
    { SImode, DFmode, },
    { QImode, XFmode, },
    { HImode, XFmode, },
    { SImode, XFmode, },
    { SImode, XFmode, },
    { SImode, XFmode, },
    { SImode, XFmode, },
    { SImode, XFmode, },
    { SImode, XFmode, },
    { SImode, SImode, SImode, },
    { SImode, SImode, HImode, },
    { HImode, HImode, HImode, },
    { HImode, HImode, },
    { QImode, QImode, QImode, },
    { QImode, QImode, },
    { SFmode, SFmode, SFmode, },
    { SFmode, SFmode, SFmode, },
    { SFmode, SFmode, SFmode, },
    { DFmode, DFmode, DFmode, },
    { DFmode, DFmode, DFmode, },
    { DFmode, DFmode, DFmode, },
    { XFmode, XFmode, XFmode, },
    { XFmode, XFmode, XFmode, },
    { XFmode, XFmode, XFmode, },
    { SImode, SImode, SImode, },
    { SImode, SImode, HImode, },
    { HImode, HImode, HImode, },
    { HImode, HImode, },
    { QImode, QImode, QImode, },
    { QImode, QImode, },
    { SFmode, SFmode, SFmode, },
    { SFmode, SFmode, SFmode, },
    { SFmode, SFmode, SFmode, },
    { DFmode, DFmode, DFmode, },
    { DFmode, DFmode, DFmode, },
    { DFmode, DFmode, DFmode, },
    { XFmode, XFmode, XFmode, },
    { XFmode, XFmode, XFmode, },
    { XFmode, XFmode, XFmode, },
    { HImode, HImode, HImode, },
    { SImode, HImode, HImode, },
    { SImode, SImode, SImode, },
    { SImode, SImode, SImode, },
    { SImode, SImode, SImode, },
    { HImode, HImode, HImode, },
    { SImode, HImode, HImode, },
    { SImode, SImode, SImode, },
    { SImode, SImode, SImode, },
    { SImode, SImode, SImode, },
    { SFmode, SFmode, SFmode, },
    { SFmode, SFmode, SFmode, },
    { SFmode, SFmode, SFmode, },
    { DFmode, DFmode, DFmode, },
    { DFmode, DFmode, DFmode, },
    { DFmode, DFmode, DFmode, },
    { XFmode, XFmode, XFmode, },
    { XFmode, XFmode, XFmode, },
    { XFmode, XFmode, XFmode, },
    { HImode, HImode, HImode, },
    { HImode, SImode, HImode, },
    { SImode, SImode, SImode, },
    { SImode, SImode, SImode, },
    { SImode, SImode, SImode, },
    { HImode, HImode, HImode, },
    { HImode, SImode, HImode, },
    { SImode, SImode, SImode, },
    { SImode, SImode, SImode, },
    { SImode, SImode, SImode, },
    { SFmode, SFmode, SFmode, },
    { SFmode, SFmode, SFmode, },
    { SFmode, SFmode, SFmode, },
    { DFmode, DFmode, DFmode, },
    { DFmode, DFmode, DFmode, },
    { DFmode, DFmode, DFmode, },
    { XFmode, XFmode, XFmode, },
    { XFmode, XFmode, XFmode, },
    { XFmode, XFmode, XFmode, },
    { HImode, HImode, HImode, },
    { HImode, SImode, HImode, },
    { HImode, HImode, HImode, },
    { HImode, SImode, HImode, },
    { SImode, SImode, SImode, SImode, },
    { SImode, SImode, SImode, SImode, },
    { SImode, SImode, SImode, },
    { HImode, HImode, HImode, },
    { QImode, QImode, QImode, },
    { SImode, HImode, SImode, },
    { SImode, QImode, SImode, },
    { SImode, SImode, SImode, },
    { HImode, HImode, HImode, },
    { QImode, QImode, QImode, },
    { SImode, SImode, SImode, },
    { HImode, HImode, HImode, },
    { QImode, QImode, QImode, },
    { SImode, SImode, },
    { HImode, HImode, },
    { QImode, QImode, },
    { SFmode, SFmode, },
    { SFmode, SFmode, },
    { SFmode, SFmode, },
    { DFmode, DFmode, },
    { DFmode, DFmode, },
    { DFmode, DFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { SFmode, SFmode, },
    { SFmode, SFmode, },
    { SFmode, SFmode, },
    { DFmode, DFmode, },
    { DFmode, DFmode, },
    { DFmode, DFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { XFmode, XFmode, },
    { SImode, SImode, },
    { HImode, HImode, },
    { QImode, QImode, },
    { SImode, SImode, },
    { SImode, SImode, },
    { QImode, SImode, },
    { SImode, QImode, },
    { QImode, SImode, },
    { SImode, QImode, },
    { SImode, SImode, SImode, },
    { HImode, HImode, HImode, },
    { QImode, QImode, QImode, },
    { SImode, SImode, SImode, },
    { HImode, HImode, HImode, },
    { QImode, QImode, QImode, },
    { SImode, SImode, SImode, },
    { HImode, HImode, HImode, },
    { QImode, QImode, QImode, },
    { SImode, SImode, SImode, },
    { HImode, HImode, HImode, },
    { QImode, QImode, QImode, },
    { SImode, SImode, SImode, },
    { HImode, HImode, HImode, },
    { QImode, QImode, QImode, },
    { SImode, SImode, SImode, },
    { HImode, HImode, HImode, },
    { QImode, QImode, QImode, },
    { SImode, SImode, SImode, SImode, },
    { SImode, SImode, SImode, SImode, },
    { SImode, SImode, SImode, SImode, },
    { SImode, QImode, SImode, SImode, },
    { SImode, QImode, SImode, SImode, },
    { QImode, SImode, SImode, VOIDmode, },
    { QImode, SImode, SImode, },
    { QImode, SImode, SImode, },
    { QImode, SImode, SImode, SImode, },
    { SImode, SImode, SImode, SImode, },
    { SImode, SImode, SImode, SImode, },
    { SImode, SImode, SImode, },
    { SImode, SImode, SImode, },
    { SImode, SImode, SImode, SImode, },
    { QImode, SImode, SImode, },
    { QImode, SImode, SImode, },
    { QImode, SImode, SImode, },
    { SImode, SImode, SImode, },
    { SImode, SImode, SImode, },
    { SImode, SImode, SImode, },
    { QImode, },
    { QImode, },
    { QImode, },
    { QImode, },
    { QImode, },
    { QImode, },
    { QImode, },
    { QImode, },
    { QImode, },
    { QImode, },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { VOIDmode },
    { SImode, SImode, SImode, SImode, },
    { SImode, SImode, },
    { SImode, SImode, SImode, VOIDmode, VOIDmode, },
    { HImode, },
    { VOIDmode },
    { HImode, },
    { SImode, },
    { SImode, },
    { QImode, SImode, },
    { VOIDmode, QImode, SImode, },
    { VOIDmode },
    { VOIDmode },
    { SImode, QImode, },
    { VOIDmode, VOIDmode, },
  };

const char insn_operand_strict_low[][MAX_RECOG_OPERANDS] =
  {
    { 0, 0, },
    { 0, 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, },
    { 0, 0, },
    { 0, 0, },
    { 1, 0, },
    { 0, 0, },
    { 1, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 1, 0, },
    { 0, 0, 0, },
    { 1, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 1, 0, },
    { 0, 0, 0, },
    { 1, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, 0, },
    { 0, 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, 0, },
    { 0, 0, 0, 0, },
    { 0, 0, 0, 0, },
    { 0, 0, 0, 0, },
    { 0, 0, 0, 0, },
    { 0, 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, 0, },
    { 0, 0, 0, 0, },
    { 0, 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, 0, 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0, },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0, 0, 0, 0, },
    { 0, 0, },
    { 0, 0, 0, 0, 0, },
    { 0, },
    { 0 },
    { 0, },
    { 0, },
    { 0, },
    { 0, 0, },
    { 0, 0, 0, },
    { 0 },
    { 0 },
    { 0, 0, },
    { 0, 0, },
  };

int (*const insn_operand_predicate[][MAX_RECOG_OPERANDS])() =
  {
    { push_operand, general_operand, },
    { push_operand, general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { nonimmediate_operand, general_operand, },
    { nonimmediate_operand, general_operand, },
    { nonimmediate_operand, general_operand, },
    { nonimmediate_operand, general_operand, },
    { nonimmediate_operand, general_operand, },
    { nonimmediate_operand, general_operand, },
    { nonimmediate_operand, general_operand, },
    { nonimmediate_operand, },
    { nonimmediate_operand, general_operand, },
    { push_operand, general_operand, },
    { general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { push_operand, address_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { register_operand, general_operand, },
    { register_operand, general_operand, },
    { register_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, general_operand, },
    { general_operand, memory_operand, },
    { general_operand, memory_operand, },
    { general_operand, memory_operand, },
    { memory_operand, general_operand, },
    { general_operand, memory_operand, },
    { memory_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { general_operand, general_operand, general_operand, },
    { nonimmediate_operand, immediate_operand, immediate_operand, general_operand, },
    { general_operand, nonimmediate_operand, immediate_operand, immediate_operand, },
    { general_operand, nonimmediate_operand, immediate_operand, immediate_operand, },
    { general_operand, nonimmediate_operand, general_operand, general_operand, },
    { general_operand, nonimmediate_operand, general_operand, general_operand, },
    { nonimmediate_operand, general_operand, general_operand, immediate_operand, },
    { nonimmediate_operand, general_operand, general_operand, },
    { nonimmediate_operand, general_operand, general_operand, },
    { nonimmediate_operand, general_operand, general_operand, general_operand, },
    { general_operand, nonimmediate_operand, general_operand, general_operand, },
    { general_operand, nonimmediate_operand, general_operand, general_operand, },
    { nonimmediate_operand, general_operand, general_operand, },
    { nonimmediate_operand, general_operand, general_operand, },
    { nonimmediate_operand, general_operand, general_operand, general_operand, },
    { memory_operand, general_operand, general_operand, },
    { memory_operand, general_operand, general_operand, },
    { memory_operand, general_operand, general_operand, },
    { nonimmediate_operand, general_operand, general_operand, },
    { nonimmediate_operand, general_operand, general_operand, },
    { nonimmediate_operand, general_operand, general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { 0 },
    { general_operand, immediate_operand, general_operand, general_operand, },
    { 0, 0, },
    { general_operand, immediate_operand, general_operand, 0, 0, },
    { general_operand, },
    { 0 },
    { general_operand, },
    { general_operand, },
    { general_operand, },
    { general_operand, general_operand, },
    { 0, general_operand, general_operand, },
    { 0 },
    { 0 },
    { general_operand, address_operand, },
    { 0, 0, },
  };

#ifndef DEFAULT_MACHINE_INFO
#define DEFAULT_MACHINE_INFO 0
#endif

const INSN_MACHINE_INFO insn_machine_info[] =
  {
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
     { DEFAULT_MACHINE_INFO },
  };

const char insn_n_alternatives[] =
  {
    1,
    1,
    1,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
    3,
    4,
    4,
     0,
    2,
    1,
     0,
    2,
    1,
     0,
    2,
    1,
    1,
    1,
    1,
    1,
    1,
    2,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    3,
    1,
    1,
    3,
    1,
    5,
    1,
    2,
    2,
    2,
     0,
     0,
     0,
    1,
    1,
    1,
    2,
    1,
    1,
     0,
    2,
    1,
     0,
    2,
    1,
     0,
    2,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
    4,
    1,
    2,
    2,
    2,
    2,
     0,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
    4,
    1,
    2,
    2,
    2,
    2,
     0,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
    1,
    1,
     0,
    1,
    1,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
    1,
    1,
     0,
    1,
    1,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    2,
    2,
    2,
    1,
    1,
    2,
    2,
    2,
    2,
    1,
    1,
    1,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
     0,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    2,
    2,
    2,
    2,
    2,
    2,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
     0,
    1,
     0,
    1,
    1,
    1,
    1,
    1,
     0,
     0,
    1,
    1,
  };
