/****
 * CObjectDoc.h
 *
 *	Document class for a typical application.
 *
 ****/

#define	_H_CObjectDoc			/* Include this file only once */
#include "CDocument.h"
#include "CApplication.h" 

struct CObjectDoc : CDocument {

									/** Construction/Destruction **/
                                    
    
    void        IObjectDoc(CApplication *aSupervisor, Boolean printable);
    void        Dispose(void);

	void		DoCommand(long theCommand);

    void        UpdateMenus(void);  

	void		OpenFile(SFReply *macSFReply);
	void		BuildWindow(Handle theData);

	Handle		itsData;
};