/*****
 * GNUEditApp.h
 *
 *	Application class for a tiny editor.
 *
 *****/

#define	_H_GNUEditApp		/* Include this file only once */
#include <CApplication.h>

struct GNUEditApp : CApplication
	{
	public:

	void	IGNUEditApp(void);
	void 	SpinCursor(void);
	void	SetUpFileParameters(void);
	void	SetUpMenus(void);

	void	CreateDocument(void);
	void	OpenDocument(SFReply *macSFReply);

	void 	StartUpAction(short	numPreloads);
	void 	DoAppleEvent( CAppleEvent *anAppleEvent);
	
	void 	CreateDocumentfromHandle(Handle theData); 
	void	DoCommand( long theCommand);

	void 	ForceClassReferences( void);

	private:

	CursHandle nxt[8];
	unsigned char ccnt;
	};
