/******************************************************************************
 ResourceStructs.h

			
	Copyright  1991 Symantec Corporation. All rights reserved.
	
	Contains structure definitions used by CBrowseResDoc and
	other classes.

	TCL 1.1.3 Changes
	[
		- use #pragma once
		- changed forward declaration to use CLASS
	]
 ******************************************************************************/

#pragma once

CLASS CDirector;

	// Information about a resource type

typedef struct tResTypeInfo
{
	ResType		type;
	Boolean		editable;
	CDirector	*window;
	
} tResTypeInfo;

	//	Information about a resource

typedef struct tResourceInfo
{
	short		ID;
	long		size;
	Handle		resource;
	Str255		name;
	CDirector	*window;

} tResourceInfo;